Upstream information

CVE-2016-7966 at MITRE

Description

Through a malicious URL that contained a quote character it was possible to inject HTML code in KMail's plaintext viewer. Due to the parser used on the URL it was not possible to include the equal sign (=) or a space into the injected HTML, which greatly reduces the available HTML functionality. Although it is possible to include an HTML comment indicator to hide content.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.3
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
SUSE Bugzilla entry: 1002977 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub for SUSE Linux Enterprise 12 SP1
  • kcoreaddons >= 5.20.0-6.1
  • kcoreaddons-debugsource >= 5.20.0-6.1
  • kcoreaddons-devel >= 5.20.0-6.1
  • kcoreaddons-devel-32bit >= 5.21.0-18.1
  • kcoreaddons-devel-debuginfo >= 5.20.0-6.1
  • kcoreaddons-devel-debuginfo-32bit >= 5.21.0-18.1
  • kcoreaddons-lang >= 5.20.0-6.1
  • libKF5CoreAddons5 >= 5.20.0-6.1
  • libKF5CoreAddons5-32bit >= 5.21.0-18.1
  • libKF5CoreAddons5-debuginfo >= 5.20.0-6.1
  • libKF5CoreAddons5-debuginfo-32bit >= 5.21.0-18.1
Patchnames:
openSUSE-2016-1200
openSUSE Leap 15.0
  • kcoreaddons >= 5.45.0-lp150.1.2
  • kcoreaddons-lang >= 5.45.0-lp150.1.2
  • libKF5CoreAddons5 >= 5.45.0-lp150.1.2
Patchnames:
openSUSE Leap 15.0 GA kcoreaddons
openSUSE Leap 42.1
  • kcoreaddons >= 5.21.0-18.1
  • kcoreaddons-debugsource >= 5.21.0-18.1
  • kcoreaddons-devel >= 5.21.0-18.1
  • kcoreaddons-devel-32bit >= 5.21.0-18.1
  • kcoreaddons-devel-debuginfo >= 5.21.0-18.1
  • kcoreaddons-devel-debuginfo-32bit >= 5.21.0-18.1
  • kcoreaddons-lang >= 5.21.0-18.1
  • libKF5CoreAddons5 >= 5.21.0-18.1
  • libKF5CoreAddons5-32bit >= 5.21.0-18.1
  • libKF5CoreAddons5-debuginfo >= 5.21.0-18.1
  • libKF5CoreAddons5-debuginfo-32bit >= 5.21.0-18.1
Patchnames:
openSUSE-2016-1200
openSUSE Leap 42.2
  • kcoreaddons >= 5.26.0-2.1
  • kcoreaddons-devel >= 5.26.0-2.1
  • kcoreaddons-lang >= 5.26.0-2.1
  • libKF5CoreAddons5 >= 5.26.0-2.1
Patchnames:
openSUSE Leap 42.2 GA kcoreaddons
openSUSE Leap 42.3
  • kcoreaddons >= 5.32.0-1.3
  • kcoreaddons-devel >= 5.32.0-1.3
  • kcoreaddons-lang >= 5.32.0-1.3
  • libKF5CoreAddons5 >= 5.32.0-1.3
Patchnames:
openSUSE Leap 42.3 GA kcoreaddons
openSUSE Tumbleweed
  • kcoreaddons >= 5.29.0-1.1
  • kcoreaddons-devel >= 5.29.0-1.1
  • kcoreaddons-devel-32bit >= 5.29.0-1.1
  • kcoreaddons-lang >= 5.29.0-1.1
  • libKF5CoreAddons5 >= 5.29.0-1.1
  • libKF5CoreAddons5-32bit >= 5.29.0-1.1
Patchnames:
openSUSE Tumbleweed GA kcoreaddons